openoffice-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jürgen Schmidt <jogischm...@gmail.com>
Subject Re: first start of AOO 4
Date Wed, 31 Jul 2013 09:04:25 GMT
On 7/30/13 9:02 PM, Guenter Marxen wrote:
> Hi Jürgen,
> 
> Am 30.07.2013 06:15, schrieb Juergen Schmidt:
>> Am Montag, 29. Juli 2013 um 16:52 schrieb Guenter Marxen:
>>> ...
>>> The Spelling Checker "Duden Korrektor 6.0.0" seems to be incompatibel
>>> with AOO 4 ("loading component library failed..."). Or has anybody other
>>> informations?
>>>
>> The Duden corrector is a C++  extension and they become easier
>> incompatible. But with the stlport change for AOO 4.0 it is natural
>> that it is incompatible and needs at least a recompilation.
>> Especially for C++ extensions the maintainer should use a max version
>> dependency and should ensure if everything works.
>> Even a compiler upgrade can cause an incompatible change.
> 
> many thanks. I'll ask the Duden publisher and report, when an
> AOO4-version is available.
> 
> (If I understand it correctly, since AOO 4 there is no longer extension
> compatibility with LO. I'm curious what Duden publisher decides.)
> 

I don't know for sure but LO did many more incompatible API changes as
far as I know and I assume that depending on the API's an extension used
the compatibility can be broken. But that has nothing with AOO alone to
do. C++ extensions are always somewhat special and they can become
incompatible simply because of a compiler upgrade that is necessary from
time to time.

Juergen


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
For additional commands, e-mail: dev-help@openoffice.apache.org


Mime
View raw message